﻿.card {
    margin: 5px;
    margin-bottom: 15px;
    background-color: white;
    padding: 10px;
    border-radius: 6px;
    border-color: black;
    border-width: thin;
    border-style: solid;
}

.sem-borda {
    border: none;
}

.texto-centro {
    text-align: center;
}

.lance {
    padding-left: 20px;
    min-height: 21px;
    margin-bottom: 0px;
}

.inativo {
    background-color: #e1e1e1;
}

.lance-licitante {
    padding-left: 20px;
    min-height: 21px;
    margin-bottom: 0px;
    color: blue;
    font-weight: bold;
}

.aviso-erro {
    color: maroon;
    font-size: 19px;
    font-weight: bold;
    border-color: maroon;
}

.aviso-cinza {
    color: #676a6c;
    font-size: 19px;
    font-weight: bold;
    border-color: #676a6c;
}

.aviso-sucesso {
    color: #0da149;
    font-size: 19px;
    font-weight: bold;
    border-color: #0da149;
}

.aviso-amarelo {
    color: #f8ac59;
    font-size: 19px;
    font-weight: bold;
    border-color: #0da149;
}

.ajustar-altura {
    height: fit-content !important;
}

.sem-margem-padding {
    margin: 0px !important;
    padding: 0px;
}

.icone-minimizar {
    height: 80px;
    width: 50px;
    position: fixed;
    z-index: 1;
    top: 11%;
    right: 0;
    cursor: pointer;
    color: rgb(103, 106, 108);
    background-color: rgb(191, 191, 191);
    padding-top: 10px;
    text-align: center;
    font-size: 20px;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
    overflow-x: hidden; /* Disable horizontal scroll */
    transition: 0.5s; /* 0.5 second transition effect to slide in the sidenav */
}

.icone-aviso {
    font-weight: 900 !important;
}

    .icone-aviso i {
        font-weight: 900 !important;
    }

.icone-ativo {
    background-color: rgb(225, 225, 225);
    color: rgb(103, 106, 108);
}

.bandeja-mensagens {
    height: 83.4%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 11%;
    right: 0;
    background-color: #e1e1e1;
    overflow-x: hidden; /* Disable horizontal scroll */
    transition: 0.5s; /* 0.5 second transition effect to slide in the sidenav */
    padding-top: 8px;
}

.margem-certame {
    /*margin-left: 5%;
    margin-right: 5%;*/
    transition: margin-left .5s, margin-right .5s;
}

.wrapper-botao {
    padding: 0px;
    text-align: center;
}

.tooltip-wrapper {
    width: stretch;
}

.titulo-lote {
    font-weight: bold;
    font-size: larger;
}

.grupo-botoes {
    display: flex;
    justify-content: space-between;
}

.mensagem {
    border: solid;
    border-radius: 6px;
    background-color: white;
    margin: 3.5%;
    border-color: lightgray;
    border-width: 2px;
    padding: 5px;
}

.mensagem span {
    word-wrap: break-word;
}

.horario {
    padding-left: 50%;
    font-size: 10px;
}

.lista-wrapper {
    overflow: inherit;
    height: 76%;
}

.envio-mensagem {
    border-color: lightgray;
    border-width: 2px;
    border-radius: 10px;
}


.flexcroll {
}

    /* Let's get this party started */
    .flexcroll::-webkit-scrollbar {
        width: 12px;
    }


    .flexcroll::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
        -webkit-border-radius: 10px;
        border-radius: 10px;
    }

    /* Handle */
    .flexcroll::-webkit-scrollbar-thumb {
        -webkit-border-radius: 10px;
        border-radius: 10px;
        background: rgba(255,255,255,1);
        -webkit-box-shadow: inset 0 0 6px rgba(70,102,122,0.4);
    }

.badge {
    /*background: rgba(70,102,122,1);*/
    background: #164E79;
    border-radius: 50%;
    height: 14px;
    position: absolute;
    width: 14px;
    color: white;
    padding: 0px;
    padding-top: 1px;
    right: 4px;
}

.badge-erro {
    background: maroon;
    border-radius: 50%;
    border-style: solid;
    border-width: 1px;
    border-color: white;
    height: 14px;
    position: absolute;
    width: 14px;
    color: white;
    padding: 0px;
    padding-top: 0px;
    z-index: 1;
    left: 5px;
    padding-left: 4px;
    line-height: 13px;
    top: 9px;
}

.nome-autor {
    color: #164E79;
}

.outline-title {
    background: #f3f3f4 !important;
    color: #676a6c;
    border: solid !important;
    border-color: #164E79 !important;
}

.espaco-entre-conteudo {
    display: flex;
    justify-content: space-between;
}

.vencedor {
    border: solid 3px;
    padding: 1rem;
}

.btnsVencedor {
    display: flex;
    padding: 1rem 0rem;
    align-items: baseline;
}

.div-centralizada {
    display: flex;
    justify-content: center;
    padding: 0;
    width: 100%;
}

.botao-azul {
    background-color: #164E79;
    font-weight: bold;
    color: #ebf5ed;
    height: auto;
    min-height: 0;
    padding: 0.7rem 1.4rem 0.5rem 1.4rem;
    border: none;
}

    .botao-azul:focus {
        outline: none;
    }

    .botao-azul:disabled {
        background-color: #A3A3A3;
        cursor: not-allowed;
        opacity: 0.7;
    }

.botao-grande {
    letter-spacing: 0.3px;
    font-size: 17px;
    line-height: 22px;
    padding: 11px 72px;
}

.label-pequena {
    font-size: 0.9rem;
    font-weight: 400;
    margin: 0;
}

.label-bold {
    font-size: 16px;
    font-weight: bold;
    margin: 0;
}

.m15-vertical {
    margin-top: 1.5rem !important;
    margin-bottom: 1.5rem !important;
}

.m1-bottom {
    margin-bottom: 1rem !important;
}

.m7-top {
    margin-top: 7rem !important;
}

.m5-top {
    margin-top: 5rem !important;
}

.gap-70 {
    gap: 70px;
}

.linha {
    width: 100%;
}

.div-relativa {
    position: relative;
    width: fit-content;
}

.botao-senha {
    position: absolute;
    right: 0px;
    bottom: 0px;
    height: 32px;
}

.input-senha {
    margin-top: 5px;
    height: 32px;
    width: 250px;
    border-color: #164E7988;
    border-style: solid;
    border-width: 2px;
    -webkit-box-shadow: inset 0px 2px 2px #22222233;
    -moz-box-shadow: inset 0px 2px 2px #22222233;
    box-shadow: inset 0px 2px 2px #22222233;
    background: transparent;
    padding: 0rem 5rem 0rem 1.5rem;
}

    .input-senha:focus {
        outline: none;
    }

.icone-cinza {
    font-size: 15px;
    font-weight: 900;
    color: grey;
}

.icone-azul {
    font-size: 7px;
    font-weight: 900;
}

.icone-vermelho {
    font-size: 7px;
    font-weight: 900;
    color: maroon;
}

.text-bottom {
    vertical-align: bottom;
    margin-bottom: 0;
}

/* CSS for modal overlay */
.licitacao-modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.2); /* Semi-transparent background */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 2000; /* Ensure the modal is above other content */
}


/* CSS for modal content */
.licitacao-modal-content {
    background-color: white;
    padding: 30px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    width: 893px;
    height: 515px;
    margin-top: -1518px;
    transition: margin-top 0.5s ease-in-out;
}

    .licitacao-modal-content.show {
        margin-top: 0;
    }

.licitacao-modal-vazia-content {
    background-color: white;
    padding: 30px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    margin-top: -1518px;
    transition: margin-top 0.5s ease-in-out;
}

.licitacao-modal-vazia-content.show {
    margin-top: 0;
}

.licitacao-modal-header {
    height: 48px;
    position: relative;
}

.licitacao-close-button {
    font-weight: 400;
    position: absolute;
    top: -18px;
    right: -10px;
    cursor: pointer;
    font-size: 18px;
    color: #164E79;
}

.header-azul-grande {
    font-weight: bolder;
    font-size: 30px;
    line-height: 40px;
    font-weight: 300;
    color: #164E79;
    position: absolute;
    top: -3px;
}

.header-divisor-inferior {
    position: absolute;
    top: 40px;
}

.fa-11{
    font-size: 11px;
    width: 12px;
}

.container-img {
    width: 300px;
    height: 80px;
    /*overflow: hidden;*/
    position: relative;
    cursor: pointer;
    flex-shrink: 0;
}

.container-img-63 {
    width: 300px;
    height: 63px;
    /*overflow: hidden;*/
    position: relative;
    flex-shrink: 0;
}

.img-ajustada {
    max-width: 100%;
    max-height: 100%; 
    width: auto;
    height: auto;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}

    .img-ajustada:hover {
        box-shadow: 3px 3px 6px rgba(0, 0, 0, 0.61);
    }

.max-linhas-1 {
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
    text-overflow: ellipsis;
}

.botao-desabilitado {
    background-color: #164E79; /* Define uma cor de fundo cinza */
    border-color: #164E79;
    cursor: not-allowed; /* Altera o cursor para indicar que não é clicável */
    opacity: 0.5; /* Define a opacidade para indicar visualmente que está desativado */
}
